<!DOCTYPE html>
<html lang="en">
  <head>
    <title>BlueAirSDK  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a title="BlueAirSDK  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">BlueAirSDK Docs</a> (45% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">BlueAirSDK Reference</a>
        <img id="carat" src="img/carat.png" />
        BlueAirSDK  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/BlueAirManager.html">BlueAirManager</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/BlueAirSDKError.html">BlueAirSDKError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums.html#/s:10BlueAirSDK0aB9ScanErrorO">BlueAirScanError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/FanMode.html">FanMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/FanSpeed.html">FanSpeed</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PeripheralConnectionState.html">PeripheralConnectionState</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Extensions/Collection.html">Collection</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols/ScanDelegate.html">ScanDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors.html">BlueAirErrors</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/MainError.html">– MainError</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/PlugError.html">– PlugError</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/DuoError.html">– DuoError</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/NRFErrror.html">– NRFErrror</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/Datapoint.html">Datapoint</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/FilterUsage.html">FilterUsage</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            
            <h1 id='blueairsdk' class='heading'>BlueAirSDK</h1>
<h2 id='requirements' class='heading'>Requirements</h2>

<p>iOS 9.0</p>
<h2 id='installation' class='heading'>Installation</h2>

<p>BlueAirSDK is available through <a href="http://cocoapods.org">CocoaPods</a>.
To install it, add these lines to the top of your Podfile:</p>
<pre class="highlight ruby"><code><span class="n">source</span> <span class="s1">'https://github.com/CocoaPods/Specs.git'</span>
<span class="n">source</span> <span class="s1">'REPLACE_BY_THIS_REPO.git'</span>
</code></pre>

<p>Then simply add the following line to your Podfile:</p>
<pre class="highlight ruby"><code><span class="n">pod</span> <span class="s1">'BlueAirSDK'</span><span class="p">,</span> <span class="s1">'~&gt; 0.2.1'</span>
</code></pre>

<p>Then use the command:</p>
<pre class="highlight shell"><code><span class="nv">$ </span>pod update
</code></pre>
<h2 id='author' class='heading'>Author</h2>

          </section>
        </section>
        <section id="footer">
          <p>&copy; 2018 <a class="link" href="https://bitbucket.org/airboxlab/icp_sdk_release" target="_blank" rel="external">AirBoxLab</a>. All rights reserved. (Last updated: 2018-02-13)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.9.1</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
